{
  description = "~tsv's system config";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
  };

  outputs = inputs@{ nixpkgs, home-manager, ... }: {
    nixosConfigurations = {
      ritchie = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";

        modules = [
          ./system/configuration.nix
        ];
      };
    };
  };
}
